#include <stdio.h>
#include <math.h>
#include <stdlib.h>

int main(int argc, char **argv)
{
    int hz, minb, maxb, out;
    unsigned long count=0;
    if (argc!=3) {
        fprintf(stderr,"Use: square <min> <max>\n");
        exit(1);
    }
        
    hz=10;
    minb=atoi(argv[1]);
    maxb=atoi(argv[2]);

    fprintf(stderr,"%f hz, %i and %i\n",4000.0/hz,minb,maxb);

    while (count <8000) {
        out =  (count/hz)&1 ? minb : maxb;
	putchar(out<128? out+128 : out^0xff);
        count++;
    }
    fclose(stdout);
    return 0;
}


